<?php

namespace App\Http\Middleware;

use Closure;

class CheckCsrfToken
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle($request, Closure $next)
    {
        if (!$request->cookie("XSRF-TOKEN"))return redirect("login");
        return $next($request);
    }
}
